Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.dialer
Interface DialerPolicy

All Known Implementing Classes:
  AgentsMoveDialerPolicy, BadContactMismatchRatesDialerPolicy, ConstantDialerPolicy, ThresholdDialerPolicy

    public interface DialerPolicy

Represents a dialer's policy to determine the outbound calls to try on each occasion. A dialer's policy works as follows: each time the dialer is triggered, using the `Dialer.dial()` method, it uses the dialer policy to get the number of calls to try. It then uses the policy to obtain a dialer list from which to extract calls.

The simplest dialer policies compute and return a single number of calls to dial, e.g., by looking at the number of free outbound agents. A fixed dialer list is then returned to allow the dialer to get the contacts. However, most complex policies might generate a list of contacts each time the dialer is triggered.

Method Summary
`void` | `dialerStarted(Dialer dialer)` This method is called when the dialer using this policy is started.
`void` | `dialerStopped(Dialer dialer)` This method is called when the dialer using this policy is stopped.
`DialerList` | `getDialerList(Dialer dialer)` Returns the dialer list from which contacts have to be removed from, at the current simulation time.
`int` | `getNumDials(Dialer dialer)` Returns the number of calls the dialer should try to make simultaneously at the current simulation time.
`void` | `init(Dialer dialer)` Initializes this dialer's policy for a new simulation replication.

Method Detail

### getNumDials

    int getNumDials(Dialer dialer)

  Returns the number of calls the dialer should try to make simultaneously at the current simulation time.

  If `Dialer.isUsingNumActionsEvents()` returns `true`, this method must take into account the current number of action events while determining the additional number of calls to dial. In the simplest and most common cases, the method subtracts the result of `Dialer.getNumActionEvents()` to the number of calls to dial. However, in some cases, it might be necessary to use `Dialer.getNumActionEvents(int)` to get the number of action events for each contact type individually.

  Parameters:
    `dialer` - the triggered dialer.
  Returns:
    the number of calls the dialer should try to make.

### getDialerList

    DialerList getDialerList(Dialer dialer)

  Returns the dialer list from which contacts have to be removed from, at the current simulation time. This list should not be stored into another object since it could be constructed dynamically when `getNumDials(Dialer)` is called.

  Parameters:
    `dialer` - the dialer for which the dialer list is required.
  Returns:
    the associated dialer list.

### init

    void init(Dialer dialer)

  Initializes this dialer's policy for a new simulation replication. This method can be used, for example, to clear data structures containing information about a preceding simulation. This method should also clear the associated dialer list when appropriate.

  Parameters:
    `dialer` - the dialer which initialized this policy.

### dialerStarted

    void dialerStarted(Dialer dialer)

  This method is called when the dialer using this policy is started.

  Parameters:
    `dialer` - the started dialer.

### dialerStopped

    void dialerStopped(Dialer dialer)

  This method is called when the dialer using this policy is stopped.

  Parameters:
    `dialer` - the stopped dialer.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.